# Asterisk Project : Asterisk 12 Application_RemoveQueueMember

Added by wikibot , edited by wikibot on Aug 29, 2013

# RemoveQueueMember()

### Synopsis

Dynamically removes queue members.

### Description

If the interface is NOT in the queue it will return an error.

This application sets the following channel variable upon completion:

- `RQMSTATUS`
  - REMOVED
  - NOTINQUEUE
  - NOSUCHQUEUE
  - NOTDYNAMIC
    Example: RemoveQueueMember(techsupport,SIP/3000)

### Syntax

    RemoveQueueMember(queuename,interface)

##### Arguments

- `queuename`
- `interface`

### See Also

- Asterisk 12 Application_Queue
- Asterisk 12 Application_QueueLog
- Asterisk 12 Application_AddQueueMember
- Asterisk 12 Application_RemoveQueueMember
- Asterisk 12 Application_PauseQueueMember
- Asterisk 12 Application_UnpauseQueueMember
- Asterisk 12 Function_QUEUE_VARIABLES
- Asterisk 12 Function_QUEUE_MEMBER
- Asterisk 12 Function_QUEUE_MEMBER_COUNT
- Asterisk 12 Function_QUEUE_EXISTS
- Asterisk 12 Function_QUEUE_WAITING_COUNT
- Asterisk 12 Function_QUEUE_MEMBER_LIST
- Asterisk 12 Function_QUEUE_MEMBER_PENALTY

### Import Version

This documentation was imported from Asterisk Version Unknown